# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TTypeEntry

Packages that use TTypeEntry
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TTypeEntry in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TTypeEntry in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`class`
`TTypeEntry`
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TTypeEntry
Modifier and Type
Field
Description
`List<TTypeEntry>`
TTypeDesc.`types`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TTypeEntry
Modifier and Type
Method
Description
`static TTypeEntry`
TTypeEntry.`arrayEntry(TArrayTypeEntry value)`
`TTypeEntry`
TTypeEntry.`deepCopy()`
`static TTypeEntry`
TTypeEntry.`mapEntry(TMapTypeEntry value)`
`static TTypeEntry`
TTypeEntry.`primitiveEntry(TPrimitiveTypeEntry value)`
`static TTypeEntry`
TTypeEntry.`structEntry(TStructTypeEntry value)`
`static TTypeEntry`
TTypeEntry.`unionEntry(TUnionTypeEntry value)`
`static TTypeEntry`
TTypeEntry.`userDefinedTypeEntry(TUserDefinedTypeEntry value)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TTypeEntry
Modifier and Type
Method
Description
`List<TTypeEntry>`
TTypeDesc.`getTypes()`
`Iterator<TTypeEntry>`
TTypeDesc.`getTypesIterator()`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TTypeEntry
Modifier and Type
Method
Description
`void`
TTypeDesc.`addToTypes(TTypeEntry elem)`
`int`
TTypeEntry.`compareTo(TTypeEntry other)`
`boolean`
TTypeEntry.`equals(TTypeEntry other)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TTypeEntry
Modifier and Type
Method
Description
`TTypeDesc`
TTypeDesc.`setTypes(List<TTypeEntry> types)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TTypeEntry
Modifier
Constructor
Description
``
`TTypeEntry(TTypeEntry other)`
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TTypeEntry
Modifier
Constructor
Description
``
`TTypeDesc(List<TTypeEntry> types)`